Skip to main content
GET
/
team
/
{team}
/
booking-batches
/
{batch}
Get batch details
curl --request GET \
  --url https://app.smartsend.io/api/v2/team/{team}/booking-batches/{batch} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "uuid": "<unknown>",
    "state": "<unknown>",
    "reference": "<unknown>",
    "identifier": "<unknown>",
    "total_count": "<unknown>",
    "completed_count": "<unknown>",
    "failed_count": "<unknown>",
    "progress": "<unknown>",
    "created_at": "<unknown>",
    "started_at": "<unknown>",
    "finished_at": "<unknown>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

Preferred language(s) for translatable content using BCP 47 language tags. Supports quality values (q-factors) for priority ordering. The API negotiates the best available language based on this header, the team's configured language, and available translations. If omitted, the team's default language is used.

Example:

"da-DK, da;q=0.9, en;q=0.8"

Request-ID
string

Any value passed in this request will be returned in the same header. This can be used to correlate requests between client and server.

Required string length: 1 - 128

Path Parameters

team
string
required

Team identifier. All resources are scoped to this team.

Minimum string length: 1
Example:

"ad9546c1-393e-49a5-9a72-5cc146c9bec5"

batch
string<uuid>
required

Unique identifier of the batch

Response

Batch retrieved successfully

data
object
required

A batch of shipments for bulk booking